__version__ = '0.53'

import unittest
import xml.dom

from cssutils.cssunknownrule import *
from cssutils.cssrule import CSSRule


class CSSUnknownRuleTestCase(unittest.TestCase):

    def test_emptyInit(self):
        u = UnknownRule()
        self.assertEqual(CSSRule.UNKNOWN_RULE, u.type)
        self.assertEqual(u'', u.cssText)

        u = UnknownRule(text=u'@init')
        self.assertEqual(u'@init', u.cssText)

    def test_readonly(self):
        u = UnknownRule(text=u'@init', readonly=True)
        self.assertEqual(u'@init', u.cssText)
        self.assertRaises(xml.dom.NoModificationAllowedErr, u._setCssText, 'test')        


if __name__ == '__main__':
    unittest.main() 